seed_everything: 42
trainer:
  accelerator: gpu
  strategy: auto
  devices: auto
  num_nodes: 1
  precision: 32-true
  fast_dev_run: false
  enable_progress_bar: true
  inference_mode: true
model:
  class_path: viscy.translation.engine.VSUNet
  init_args:
    architecture: fcmae
    model_config:
      in_channels: 1
      out_channels: 2
      in_stack_depth: 21
      encoder_blocks: [3, 3, 9, 3]
      dims: [96, 192, 384, 768]
      encoder_drop_path_rate: 0.0
      stem_kernel_size: [7, 4, 4]
      decoder_conv_blocks: 2
      pretraining: false
      head_conv: true
      head_conv_expansion_ratio: 4
      head_conv_pool: false
    test_time_augmentations: true
    tta_type: "median"
data:
  class_path: viscy.data.hcs.HCSDataModule
  init_args:
    data_path: "/VS_datasets/VSNeuromast/test/20230803_fish2_60x_1_cropped_zyx_resampled_clipped_2.zarr"
    source_channel: Phase3D
    target_channel:
      - "nuclei"
      - "membrane"
    z_window_size: 21
    batch_size: 10
    num_workers: 16
    normalizations:
      - class_path: viscy.transforms.NormalizeSampled
        init_args:
          keys: [Phase3D]
          level: "fov_statistics"
          subtrahend: "mean"
          divisor: "std"
return_predictions: false
ckpt_path: "/VS_models/VSNeuromast/epoch=64-step=24960.ckpt"